CppUnit project page | FAQ | CppUnit home page

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# TestAssert.h File Reference

`#include <cppunit/Portability.h>`
`#include <cppunit/Exception.h>`
`#include <cppunit/Asserter.h>`
`#include <cppunit/portability/Stream.h>`
`#include <stdio.h>`
`#include <float.h>`

Include dependency graph for TestAssert.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | assertion_traits< T >
| Traits used by CPPUNIT_ASSERT_EQUAL(). More...
struct | assertion_traits< double >
| Traits used by CPPUNIT_ASSERT_DOUBLES_EQUAL(). More...
## Defines
#define | CPPUNIT_ASSERT(condition)
| Assertions that a condition is `true`.
#define | CPPUNIT_ASSERT_MESSAGE(message, condition)
| Assertion with a user specified message.
#define | CPPUNIT_FAIL(message)
| Fails with the specified message.
#define | CPPUNIT_ASSERT_EQUAL(expected, actual)
| Asserts that two values are equals.
#define | CPPUNIT_ASSERT_EQUAL_MESSAGE(message, expected, actual)
| Asserts that two values are equals, provides additional message on failure.
#define | CPPUNIT_ASSERT_DOUBLES_EQUAL(expected, actual, delta)
| Macro for primitive double value comparisons.
#define | CPPUNIT_ASSERT_DOUBLES_EQUAL_MESSAGE(message, expected, actual, delta)
| Macro for primitive double value comparisons, setting a user-supplied message in case of failure.
#define | CPPUNIT_ASSERT_THROW(expression, ExceptionType)
| Asserts that the given expression throws an exception of the specified type.
#define | CPPUNIT_EXTRACT_EXCEPTION_TYPE_(exception, no_rtti_message) std::string( no_rtti_message )
#define | CPPUNIT_GET_PARAMETER_STRING(parameter) #parameter
#define | CPPUNIT_ASSERT_THROW_MESSAGE(message, expression, ExceptionType)
| Asserts that the given expression throws an exception of the specified type, setting a user supplied message in case of failure.
#define | CPPUNIT_ASSERT_NO_THROW(expression)
| Asserts that the given expression does not throw any exceptions.
#define | CPPUNIT_ASSERT_NO_THROW_MESSAGE(message, expression)
| Asserts that the given expression does not throw any exceptions, setting a user supplied message in case of failure.
#define | CPPUNIT_ASSERT_ASSERTION_FAIL(assertion) CPPUNIT_ASSERT_THROW( assertion, CPPUNIT_NS::Exception )
| Asserts that an assertion fail.
#define | CPPUNIT_ASSERT_ASSERTION_FAIL_MESSAGE(message, assertion) CPPUNIT_ASSERT_THROW_MESSAGE( message, assertion, CPPUNIT_NS::Exception )
| Asserts that an assertion fail, with a user-supplied message in case of error.
#define | CPPUNIT_ASSERT_ASSERTION_PASS(assertion) CPPUNIT_ASSERT_NO_THROW( assertion )
| Asserts that an assertion pass.
#define | CPPUNIT_ASSERT_ASSERTION_PASS_MESSAGE(message, assertion) CPPUNIT_ASSERT_NO_THROW_MESSAGE( message, assertion )
| Asserts that an assertion pass, with a user-supplied message in case of failure.
## Functions
template<class T>
void | assertEquals (const T &expected, const T &actual, SourceLine sourceLine, const std::string &message)
| (Implementation) Asserts that two objects of the same type are equals. Use CPPUNIT_ASSERT_EQUAL instead of this function.
void CPPUNIT_API | assertDoubleEquals (double expected, double actual, double delta, SourceLine sourceLine, const std::string &message)
| (Implementation) Asserts that two double are equals given a tolerance. Use CPPUNIT_ASSERT_DOUBLES_EQUAL instead of this function.

## Define Documentation

#define CPPUNIT_EXTRACT_EXCEPTION_TYPE_ | ( | exception,
|  | no_rtti_message |  | ) | std::string( no_rtti_message )

#define CPPUNIT_GET_PARAMETER_STRING | ( | parameter |  | ) | #parameter

## Function Documentation

void CPPUNIT_API assertDoubleEquals | ( | double | expected,
|  | double | actual,
|  | double | delta,
|  | SourceLine | sourceLine,
|  | const std::string & | message |
| ) |  |  |

(Implementation) Asserts that two double are equals given a tolerance. Use CPPUNIT_ASSERT_DOUBLES_EQUAL instead of this function.

See also:
  Asserter::failNotEqual().

  CPPUNIT_ASSERT_DOUBLES_EQUAL for detailed semantic of the assertion.

template<class T>

void assertEquals | ( | const T & | expected,
|  | const T & | actual,
|  | SourceLine | sourceLine,
|  | const std::string & | message |
| ) |  |  | `[inline]`

(Implementation) Asserts that two objects of the same type are equals. Use CPPUNIT_ASSERT_EQUAL instead of this function.

See also:
  assertion_traits, Asserter::failNotEqual().

| hosts this site. |  | Send comments to: CppUnit Developers